Name: mod_fastcgi
Version: 2.2.12
Release: alt2

Summary: FastCGI module for Apache
Group: System/Servers
License: Free
Url: http://www.fastcgi.com
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/dist/%name-%version.tar.gz

%define apache_version  1.3.6

PreReq: apache >= %apache_version

%define __apxs %_sbindir/apxs
%define __apachectl %_sbindir/apachectl

%define apache_libdir %(%__apxs -q LIBEXECDIR)
%define apache_confdir %(%__apxs -q SYSCONFDIR)
%define apache_config %apache_confdir/%(%__apxs -q TARGET).conf

%define apache_modconfdir %apache_confdir/addon-modules
%define apache_contentdir %_var/www
%define apache_moddocdir  %apache_contentdir/html/addon-modules
%define apache_user apache
%define apache_group apache
%define apache_webmaster webmaster

%define fastcgi_bindir %apache_contentdir/fcgi-bin

BuildPreReq: apache-devel >= %apache_version


# Automatically added by buildreq on Wed Nov 13 2002
BuildRequires: apache-devel libdb1 libgdbm libmm

%description
FastCGI module provides support for the FastCGI protocol. FastCGI is a
language independent, scalable, open extension to CGI that provides high
performance and persistence without the limitations of server specific
APIs.

See also the file %_docdir/%name-%version/docs/LICENSE.TERMS for information
on usage and redistribution of this module, and for a DISCLAIMER OF ALL
WARRANTIES.

%prep
%setup -q

%build
%__apxs -Wc,"$RPM_OPT_FLAGS" -o mod_fastcgi.so -c *.c 

%install
%__mkdir_p %buildroot{%apache_libdir,%apache_modconfdir,\
%apache_moddocdir,%fastcgi_bindir}
%__install -m755 %name.so %buildroot%apache_libdir

# docs
%__ln_s %_docdir/%name-%version %buildroot%apache_moddocdir/%name

### Creating %name.conf
%__cat <<EOF >%name.conf
### %name.conf - configuration directives for the FastCGI Apache module.
### See %apache_moddocdir/%name/docs/%name.html for details.

## To configure Apache to handle all files (within the scope of the
## directive) as FastCGI applications (e.g. for a fcgi-bin directory):

# SetHandler fastcgi-script

## or to configure Apache to handle files (within the scope of the
## directive) with the specified extension(s) as FastCGI applications:

# AddHandler fastcgi-script fcg fcgi fpl

# Sample configuration for fcgi-bin directory

<IfModule mod_fastcgi.c>
    <IfModule mod_alias.c>
        Alias /fcgi-bin/ "%fastcgi_bindir"
    </IfModule>

    <Directory "%fastcgi_bindir">
	AddHandler fastcgi-script fcg fcgi fpl
	AllowOverride none
	Options ExecCGI
	Order allow,deny
	Allow from all
    </Directory>
</IfModule>
EOF

%__install -m644 %name.conf %buildroot%apache_modconfdir

%post
[ -x %__apxs ] && %__apxs -e -a -n fastcgi %name.so
[ -x %__apachectl ] && %__apachectl update ||:

%preun
if [ $1 = 0 ]; then
    [ -x %__apxs ] && %__apxs -e -A -n fastcgi %name.so
    [ -x %__apachectl ] && %__apachectl update
fi ||:

%files
%_libdir/apache/%name.so
%apache_moddocdir/*
%config(noreplace) %apache_modconfdir/%name.conf
%attr(2771,root,%apache_webmaster) %fastcgi_bindir
%doc CHANGES docs

%changelog
* Wed Nov 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.2.12-alt2
- Rebuild.

* Sat Mar 9 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.2.12-alt1
- First build for Sisyphus.
